[Pkg-octave-commit] [SCM] octave branch, master, updated. ff600af3af0ab4591861a4c6fa52ca1364e7fb93

Rafael Laboissiere rafael at debian.org
Sun May 10 14:14:14 UTC 2009


tags 528038 pending
thanks

The following commit has been merged in the master branch:
commit ff600af3af0ab4591861a4c6fa52ca1364e7fb93
Author: Rafael Laboissiere <rafael at debian.org>
Date:   Sun May 10 16:14:00 2009 +0200

    Add script for removing the packages database file when purging

diff --git a/debian/changelog b/debian/changelog
index 36f1b8d..7070172 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,6 +5,8 @@ octave3.0 (1:3.0.5-4) UNRELEASED; urgency=low
     accordingly.
   * debian/README.source: Add file explaining the use of the dpatch
     system, as mandated by the Policy
+  * debian/in/PACKAGE.postrm: Add script for removing the packages
+    database file when purging (closes: #528038)
 
  -- Rafael Laboissiere <rafael at debian.org>  Tue, 05 May 2009 13:04:21 +0200
 
diff --git a/debian/in/PACKAGE.postrm b/debian/in/PACKAGE.postrm
new file mode 100644
index 0000000..18d7a2e
--- /dev/null
+++ b/debian/in/PACKAGE.postrm
@@ -0,0 +1,20 @@
+#!/bin/sh -e
+#
+# postrm script for the Debian GNU/Linux octave package
+
+#DEBHELPER#
+
+# The current Octave version, known to debian/rules at build time
+VERSION=@VERSION@
+
+if [ "$1" = purge ] ; then
+	# Remove the packages database file
+        rm -f /usr/share/octave/packages/$VERSION/octave_packages
+        # Remove the directories, if we can
+        rmdir /usr/share/octave/packages/$VERSION/ 2>/dev/null	\
+            && rmdir /usr/share/octave/packages/ 2>/dev/null	\
+            && rmdir /usr/share/octave/ 2>/dev/null || true
+fi
+
+
+

-- 
octave



More information about the Pkg-octave-commit mailing list